Page MenuHomePhabricator

AMDGPU: Disambiguate v3f16 format in load/store tables
ClosedPublic

Authored by arsenm on Aug 4 2019, 9:43 AM.

Details

Summary

Currently the searchable tables report the number of dwords. These
round to the same number for 3 and 4 component d16
instructions. Change this to report the number of elements so this
isn't ambiguous.

Diff Detail

Event Timeline

arsenm created this revision.Aug 4 2019, 9:43 AM
nhaehnle accepted this revision.Aug 5 2019, 5:28 AM

LGTM

This revision is now accepted and ready to land.Aug 5 2019, 5:28 AM
arsenm closed this revision.Aug 17 2019, 5:19 PM

r369203